字典管理 API
由
scripts/generate-api-docs.ts自动生成 —— 请勿手改 共 13 个端点
POST /system/dict/data
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqAddDictDataDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
PUT /system/dict/data
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqUpdateDictDataDto"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dict/data/{dictCode}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
dictCode | path | number | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
DELETE /system/dict/data/{dictDatas}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
dictDatas | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dict/data/list
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dict/data/list/{dictType}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
dictType | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dict/data/type/{dictType}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
dictType | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
POST /system/dict/type
无描述
请求体
json
{
"$ref": "#/components/schemas/ReqAddDictTypeDto"
}响应
| 状态码 | 说明 |
|---|---|
| 201 |
PUT /system/dict/type
无描述
请求体
json
{
"$ref": "#/components/schemas/DictType"
}响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dict/type/{typeId}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
typeId | path | number | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
DELETE /system/dict/type/{typeIds}
无描述
请求参数
| 参数名 | 位置 | 类型 | 必填 | 说明 |
|---|---|---|---|---|
typeIds | path | string | ✅ |
响应
| 状态码 | 说明 |
|---|---|
| 200 |
GET /system/dict/type/list
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |
DELETE /system/dict/type/refreshCache
无描述
响应
| 状态码 | 说明 |
|---|---|
| 200 |